using Encompass;
using PongFE.Enums;

namespace PongFE.Messages
{
    public struct AngledBounceMessage : IMessage
    {
        public Entity Bounced { get; }
        public Entity Bouncer { get; }
        public HitOrientation HitOrientation { get; }

        public AngledBounceMessage(Entity bouncer, Entity bounced, HitOrientation hitOrientation)
        {
            Bouncer = bouncer;
            Bounced = bounced;
            HitOrientation = hitOrientation;
        }
    }
}
