using Encompass;
using PongFE.Enums;

namespace PongFE.Messages
{
    public struct BounceMessage : IMessage
    {
        public Entity Entity { get; }
        public HitOrientation HitOrientation { get; }

        public BounceMessage(Entity entity, HitOrientation hitOrientation)
        {
            Entity = entity;
            HitOrientation = hitOrientation;
        }
    }
}
