using Encompass;
using MoonTools.Structs;
using PongFE.Enums;

namespace PongFE.Messages
{
    public struct PaddleSpawnMessage : IMessage
    {
        public Position2D Position { get; }
        public PlayerIndex PlayerIndex { get; }
        public PaddleControl PaddleControl { get; }
        public int Width { get; }
        public int Height { get; }

        public PaddleSpawnMessage(
            Position2D position,
            PlayerIndex playerIndex,
            PaddleControl paddleControl,
            int width,
            int height
        )
        {
            Position = position;
            PlayerIndex = playerIndex;
            PaddleControl = paddleControl;
            Width = width;
            Height = height;
        }
    }
}
