using System.Numerics;
using Encompass;

namespace PongFE.Messages
{
    public struct UpdateVelocityMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public Vector2 Velocity { get; }

        public UpdateVelocityMessage(Entity entity, Vector2 velocity)
        {
            Entity = entity;
            Velocity = velocity;
        }
    }
}
