using Encompass;
using MoonTools.Structs;

namespace PongFE.Messages
{
    public struct BoundarySpawnMessage : IMessage
    {
        public Position2D Position { get; }
        public int Width { get; }
        public int Height { get; }

        public BoundarySpawnMessage(Position2D position, int width, int height)
        {
            Position = position;
            Width = width;
            Height = height;
        }
    }
}
