using Encompass;

namespace PongFE.Messages
{
    public struct DestroyMessage : IMessage
    {
        public Entity Entity { get; }
        public Entity DestroyedBy { get; }

        public DestroyMessage(Entity entity, Entity destroyedBy)
        {
            Entity = entity;
            DestroyedBy = destroyedBy;
        }
    }
}
