using Encompass;
using PongFE.Enums;

namespace PongFE.Messages
{
    public struct PaddleMoveMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public PaddleMoveDirection PaddleMoveDirection { get; }

        public PaddleMoveMessage(Entity entity, PaddleMoveDirection paddleMoveDirection)
        {
            Entity = entity;
            PaddleMoveDirection = paddleMoveDirection;
        }
    }
}
